AI resources
Get information about a transaction

This endpoint allows you to obtain information about a previously generated Payouts transaction based on its "id". That is, you will be able to consult information about a money out transaction by providing the identification number that was assigned to it in the response to its creation. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/payouts/{payout_id}/transactions/{transaction_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
payout_id
string

REQUIRED

Identifier of the payout for which you wish to consult the transaction, returned in the response to its creation within the "id" field
transaction_id
string

REQUIRED

Identifier of the transaction for which you wish to consult, returned in the response to its creation within the "id" field
Response parameters
id
string
Unique transaction identifier, automatically generated.
created_date
string
Transaction creation date.
last_update_date
string
Transaction's status update date.
external_reference
string
Transaction external reference, generated by the integrator when it was created.
Errors

400Bad request. The parameters sent are not valid.

invalid_payout_id

Invalid data was sent in the request body. The payout was not found. Try sending the request again, validating all fields.

invalid_transaction_id

Invalid data was sent in the request body. The transaction was not found. Try sending the request again, validating all fields.

invalid_signature

Invalid data was sent in the request body. Check if the secret was generated correctly and is registered with Mercado Pago. Also check if the body you are sending is the one that was encrypted.

idempotency_key_required

Invalid data was sent in the request body. The idempotency key ("idempotency_key") is missing. Try sending the request again, validating all fields.

401Error. Access Token not authorized.

invalid_token

The value sent as Access Token is incorrect. Please check and try again with the correct value.

403Forbidden. You don't have permissions to access this resource.

forbidden

No permission to access the resource.

404Error. Payout not found.

not_found

Payout not found. Please check if you provided the correct payout ID.

500Internal server error.

internal_server_error

An unexpected error occurred on the server. Try the request again.

502Bad gateway. Integration failure with an external service.

bad_gateway

An error occurred in the integration with an external service. Try the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/payouts/{payout_id}/transactions/{transaction_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    
Response
{
  "id": "TOP01KKYN1QY2SS1MKAY4G9DV5NK9",
  "created_date": "2024-01-15T10:30:00Z",
  "last_update_date": "2024-01-15T11:00:00Z",
  "external_reference": "MP0197",
  "status": "created",
  "status_detail": "accredited",
  "type": "TRANSACTION",
  "amount": {
    "currency": "ARS",
    "value": "50.0"
  }
}